SortedSetProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class SortedSetProxy<U>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy<U,SortedSet<U>>
          org.hibernate.envers.entities.mapper.relation.lazy.proxy.SortedSetProxy<U>

All Implemented Interfaces:
  Serializable, Iterable<U>, Collection<U>, Set<U>, SortedSet<U>

    public class SortedSetProxy<U>

extends CollectionProxy<U,SortedSet<U>>
implements SortedSet<U>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`delegate`

Constructor Summary
`SortedSetProxy()`
`SortedSetProxy(Initializor<SortedSet<U>> initializor)`

Method Summary
`Comparator<? super U>` | `comparator()`
`U` | `first()`
`SortedSet<U>` | `headSet(U u)`
`U` | `last()`
`SortedSet<U>` | `subSet(U u, U u1)`
`SortedSet<U>` | `tailSet(U u)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy
`add, addAll, checkInit, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### SortedSetProxy

    public SortedSetProxy()

### SortedSetProxy

    public SortedSetProxy(Initializor<SortedSet<U>> initializor)

Method Detail

### comparator

    public Comparator<? super U> comparator()

  Specified by:
    `comparator` in interface `SortedSet<U>`

### subSet

    public SortedSet<U> subSet(U u,
                               U u1)

  Specified by:
    `subSet` in interface `SortedSet<U>`

### headSet

    public SortedSet<U> headSet(U u)

  Specified by:
    `headSet` in interface `SortedSet<U>`

### tailSet

    public SortedSet<U> tailSet(U u)

  Specified by:
    `tailSet` in interface `SortedSet<U>`

### first

    public U first()

  Specified by:
    `first` in interface `SortedSet<U>`

### last

    public U last()

  Specified by:
    `last` in interface `SortedSet<U>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.